import { BaseReviver } from "./baseReviver.js";
export declare class MapReviver implements BaseReviver<Map<unknown, unknown>> {
    nativeTypeName(): string;
    isInstance(value: unknown): value is Map<unknown, unknown>;
    serialize(value: Map<unknown, unknown>): Record<string, unknown>;
    validate(value: Record<string, unknown>): boolean;
    revive(value: Record<string, unknown>): Map<unknown, unknown>;
}
